package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.Dto.CphStuScoreMiddleDto;
import com.srs.comprehensive.domain.Vo.CphStuScoreMiddleDtoVo;
import com.srs.framework.mybatisplusMapper.EasyBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CphStuScoreMiddleDtoMapper extends EasyBaseMapper<CphStuScoreMiddleDto> {

    //批量插入
    void insertCphStuScoreMiddleDto(List<CphStuScoreMiddleDto> list);

    void updateBatchByIdList(@Param("cphStuScoreMiddleDto") List<CphStuScoreMiddleDto> cphStuScoreMiddleDto);

    void updateStuScoreMiddleList(List<CphStuScoreMiddleDto> cphStuScoreMiddleDto);

    List<String> getCphStuScoreMiddleCjList(String stuNo);

    List<String> getCphStuScoreMiddleCjLists(@Param("stuNo") String stuNo,@Param("xndm") String xndm);



    List<Map<String,Object>> getCphStuScoreMiddleCjListMap(@Param("stuNo") String stuNo, @Param("xndm") String xndm);



    List<CphStuScoreMiddleDtoVo> getCphStuScoreMiddleAll(String stuNo);

    //清空表数据
    Integer updateTabeDate();
}
